#ifndef FILER_H
#define FILER_H

#include <pspiofilemgr.h>

#define MAX_ENTRY 2048
#define MAXPATH 512
#define MAXNAME 256

extern SceIoDirent files[MAX_ENTRY];
extern SceIoDirent *sortfiles[MAX_ENTRY];

extern char FilerMsg[];

// gqǗp
typedef struct {
	char *szExt;
	int nExtId;
} EXTENTIONS, *LPEXTENTIONS;

int getExtId(const char *szFilePath, LPEXTENTIONS pExt);

int getFilePath(char *pszStartPath, LPEXTENTIONS pExt, char *pszSelFile, int nOldSel);

// Msgbox types
#define MB_OK		0x0001L
#define MB_OKCANCEL	0x0002L
#define MB_YESNO	0x0003L

#define IDOK                0x01
#define IDCANCEL            0x02
#define IDYES               0x01
#define IDNO                0x02

u32 MessageBox(char *pszMsg, u32 color, u32 ulTypes);

// LȊgq
enum {
	EXT_MDX,
	EXT_ZIP,
	EXT_ALL,
	EXT_UNKNOWN
};



#endif
