//============================================================
//
//	psp_font.c - PSP font draw functions
//
//============================================================

#ifndef PSP_FONT_H
#define PSP_FONT_H

//#include "driver.h"

extern void psp_putc_frame(void *frame, UINT16 x, UINT16 y, UINT8 code, UINT16 color);
extern void psp_putcw_frame(void *frame, UINT16 x, UINT16 y, UINT16 code, UINT16 color);
extern void psp_print_frame(void *frame, UINT16 x, UINT16 y, UINT16 color, const char *text, ...);
extern void psp_print(UINT16 x, UINT16 y, UINT16 color, const char *text, ...);
extern void mame_printf_debug(                          const char *text, ...);

extern void psp_print_color(UINT16 set_color);
extern void psp_print_locate(UINT16 x, UINT16 y);


#define vsync sceDisplayWaitVblankStart
extern void psp_clear_screen(void);

extern const unsigned char hankaku_font5x10[];
extern const unsigned short zenkaku_font10[];

#endif /* PSP_FONT_H */
