/*
 * bmp.h
 *
 *  Created on: 2009/01/20
 *      Author: tmk
 */

#ifndef BMP_H_
#define BMP_H_

typedef struct tagBITMAPFILEHEADER {
	unsigned short bfType;
	//	unsigned long bfSize;
	unsigned short bfSizel;
	unsigned short bfSizeh;
	unsigned short bfReserved1;
	unsigned short bfReserved2;
//	unsigned long bfOffBits;
	unsigned short bfOffBitsl;
	unsigned short bfOffBitsh;
} BITMAPFILEHEADER, *PBITMAPFILEHEADER;

typedef struct tagBITMAPINFOHEADER {
  unsigned long biSize;
  long biWidth;
  long biHeight;
  unsigned short biPlanes;
  unsigned short biBitCount;
  unsigned long biCompression;
  unsigned long biSizeImage;
  long biXPelsPerMeter;
  long biYPelsPerMeter;
  unsigned long biClrUsed;
  unsigned long biClrImportant;
} BITMAPINFOHEADER, *PBITMAPINFOHEADER;

typedef struct tagRGBQUAD {
  unsigned char rgbBlue;
  unsigned char rgbGreen;
  unsigned char rgbRed;
  unsigned char rgbReserved;
} RGBQUAD, *PRGBQUAD;

void bmpPalTo5551(unsigned short *cols, PRGBQUAD pallet, int count);
unsigned short *bmpTo5551(char *bmp, PBITMAPINFOHEADER header, PRGBQUAD pallet);
unsigned char *bmpToImg(char *bmp, PBITMAPINFOHEADER header);
char *loadBmp(char *file, PBITMAPINFOHEADER header, PRGBQUAD pallet);

#endif /* BMP_H_ */
